"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_router_dom_1 = require("react-router-dom");
var react_shopify_app_route_propagator_1 = __importDefault(require("@shopify/react-shopify-app-route-propagator"));
var react_html_1 = require("@shopify/react-html");
var HomePage_1 = __importDefault(require("./Page/HomePage"));
var ErrorPage_1 = __importDefault(require("./Page/ErrorPage"));
var Propagator = react_router_dom_1.withRouter(react_shopify_app_route_propagator_1.default);
var App = function () {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(react_html_1.Style, { href: "./css/index.css", integrity: "some-integrity-hash", crossOrigin: "anonymous" }),
        react_1.default.createElement(Propagator, null),
        react_1.default.createElement(react_router_dom_1.Switch, null,
            react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: "/", component: HomePage_1.default }),
            react_1.default.createElement(react_router_dom_1.Route, { path: "/settings" },
                react_1.default.createElement("div", null,
                    react_1.default.createElement("h1", null, "Settings"))),
            react_1.default.createElement(react_router_dom_1.Route, { component: ErrorPage_1.default }))));
};
exports.default = App;
//# sourceMappingURL=App.js.map