"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var GameItem_1 = __importDefault(require("./GameItem"));
function GameList(_a) {
    var _b = _a.games, games = _b === void 0 ? [] : _b, onAddGame = _a.onAddGame;
    var gameItems = games.map(function (game) { return (react_1.default.createElement(GameItem_1.default, { key: game.name, game: game, onAddGame: onAddGame })); });
    return react_1.default.createElement("ul", null, gameItems);
}
exports.default = GameList;
//# sourceMappingURL=GameList.js.map