"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_dom_1 = __importDefault(require("react-dom"));
var react_router_dom_1 = require("react-router-dom");
var apollo_boost_1 = __importDefault(require("apollo-boost"));
var react_apollo_1 = require("react-apollo");
var App_1 = __importDefault(require("./App"));
var client = new apollo_boost_1.default({
    uri: '/shopify/graphql',
    fetchOptions: {
        credentials: 'include',
    },
});
react_dom_1.default.hydrate(react_1.default.createElement(react_apollo_1.ApolloProvider, { client: client },
    react_1.default.createElement(react_router_dom_1.BrowserRouter, null,
        react_1.default.createElement(App_1.default, null))), document.getElementById('app'));
if (module.hot) {
    module.hot.accept(function () {
        console.log('Accepting the updated printMe module!');
    });
}
//# sourceMappingURL=index.js.map